Commit c7388b1d authored by hartman's avatar hartman

compile gpg-error without nls support because it isn't really used by VLC and...

compile gpg-error without nls support because it isn't really used by VLC and it complicates the contrib system. (this should fix the OSX 10.2 compile). Also switch back to ffmpeg CVS
parent 6d7e63dd
...@@ -698,7 +698,7 @@ DISTCLEAN_PKG += libmatroska-$(LIBMATROSKA_VERSION).tar.bz2 ...@@ -698,7 +698,7 @@ DISTCLEAN_PKG += libmatroska-$(LIBMATROSKA_VERSION).tar.bz2
# ffmpeg-module is fixed properly -- FK # ffmpeg-module is fixed properly -- FK
ffmpeg: ffmpeg:
echo $(FFMPEG_CVSROOT) A > ./ffmpeg.cvs echo $(FFMPEG_CVSROOT) A > ./ffmpeg.cvs
CVS_PASSFILE=./ffmpeg.cvs cvs -z3 -d $(FFMPEG_CVSROOT) co -D 2005-04-30 ffmpeg CVS_PASSFILE=./ffmpeg.cvs cvs -z3 -d $(FFMPEG_CVSROOT) co ffmpeg
patch -p 0 < Patches/ffmpeg.patch.cvs patch -p 0 < Patches/ffmpeg.patch.cvs
# (cd $@; ./bootstrap) # (cd $@; ./bootstrap)
...@@ -1082,8 +1082,8 @@ libgpg-error-$(GPGERROR_VERSION).tar.gz: ...@@ -1082,8 +1082,8 @@ libgpg-error-$(GPGERROR_VERSION).tar.gz:
libgpg-error: libgpg-error-$(GPGERROR_VERSION).tar.gz libgpg-error: libgpg-error-$(GPGERROR_VERSION).tar.gz
$(EXTRACT_GZ) $(EXTRACT_GZ)
.gpg-error: libgpg-error .intl .iconv .gpg-error: libgpg-error
(cd $<; ./configure --prefix=$(PREFIX) && make && make install ) (cd $<; ./configure --prefix=$(PREFIX) --disable-nls && make && make install )
$(INSTALL_NAME) $(INSTALL_NAME)
touch $@ touch $@
...@@ -1102,7 +1102,7 @@ libgcrypt: libgcrypt-$(GCRYPT_VERSION).tar.gz ...@@ -1102,7 +1102,7 @@ libgcrypt: libgcrypt-$(GCRYPT_VERSION).tar.gz
$(EXTRACT_GZ) $(EXTRACT_GZ)
patch -p 0 < Patches/gcrypt.patch patch -p 0 < Patches/gcrypt.patch
.gcrypt: libgcrypt .gpg-error .intl .iconv .gcrypt: libgcrypt .gpg-error
(cd $<; ./configure --prefix=$(PREFIX) CFLAGS="$(CFLAGS) -D_BSD_SOCKLEN_T_=int" && make && make install ) (cd $<; ./configure --prefix=$(PREFIX) CFLAGS="$(CFLAGS) -D_BSD_SOCKLEN_T_=int" && make && make install )
$(INSTALL_NAME) $(INSTALL_NAME)
touch $@ touch $@
...@@ -1121,7 +1121,7 @@ gnutls-$(GNUTLS_VERSION).tar.bz2: ...@@ -1121,7 +1121,7 @@ gnutls-$(GNUTLS_VERSION).tar.bz2:
gnutls: gnutls-$(GNUTLS_VERSION).tar.bz2 gnutls: gnutls-$(GNUTLS_VERSION).tar.bz2
$(EXTRACT_BZ2) $(EXTRACT_BZ2)
.gnutls: gnutls .intl .iconv .gcrypt .gpg-error .gnutls: gnutls .gcrypt .gpg-error
(cd $<; ./configure --prefix=$(PREFIX) && make && make install ) (cd $<; ./configure --prefix=$(PREFIX) && make && make install )
$(INSTALL_NAME) $(INSTALL_NAME)
touch $@ touch $@
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment